GDB (xrefs)

Public Member Functions | List of all members
selftests::selftest Struct Referenceabstract

`#include "selftest.h"`

Inheritance diagram for selftests::selftest:

## Public Member Functions
virtual | ~selftest ()=default
virtual void | operator() () const =0

## Detailed Description

Definition at line 32 of file selftest.h.

## Constructor & Destructor Documentation

## ◆ ~selftest()

virtual selftests::selftest::~selftest | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ operator()()

virtual void selftests::selftest::operator() | ( |  | ) | const
| pure virtual

Implemented in selftests::simple_selftest.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/common/selftest.h